# Uses of Class
org.eclipse.jface.text.DocumentRewriteSession

Packages that use DocumentRewriteSession
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.rules
Provides a framework for rule based text scanning and uses the framework to provide rule-driven default implementations of `IPresentationDamager`, `IPresentationRepairer` and `IDocumentPartitioner`.

## Uses of DocumentRewriteSession in org.eclipse.jface.text

Fields in org.eclipse.jface.text declared as DocumentRewriteSession
Modifier and Type
Field
Description
`DocumentRewriteSession`
DocumentRewriteSessionEvent.`fSession`
The session
Methods in org.eclipse.jface.text that return DocumentRewriteSession
Modifier and Type
Method
Description
`final DocumentRewriteSession`
AbstractDocument.`getActiveRewriteSession()`
`DocumentRewriteSession`
IDocumentExtension4.`getActiveRewriteSession()`
Returns the active rewrite session of this document or `null`.
`DocumentRewriteSession`
IDocumentPartitionerExtension3.`getActiveRewriteSession()`
Returns the active rewrite session of this document or `null`.
`DocumentRewriteSession`
DocumentRewriteSessionEvent.`getSession()`
Returns the rewrite session.
`DocumentRewriteSession`
AbstractDocument.`startRewriteSession(DocumentRewriteSessionType sessionType)`
`DocumentRewriteSession`
IDocumentExtension4.`startRewriteSession(DocumentRewriteSessionType sessionType)`
Tells the document that it is about to be rewritten.
Methods in org.eclipse.jface.text with parameters of type DocumentRewriteSession
Modifier and Type
Method
Description
`final void`
AbstractLineTracker.`startRewriteSession(DocumentRewriteSession session)`
`void`
IDocumentPartitionerExtension3.`startRewriteSession(DocumentRewriteSession session)`
Tells the document partitioner that a rewrite session started.
`void`
ILineTrackerExtension.`startRewriteSession(DocumentRewriteSession session)`
Tells the line tracker that a rewrite session started.
`protected final void`
AbstractDocument.`startRewriteSessionOnPartitioners(DocumentRewriteSession session)`
Starts the given rewrite session.
`void`
AbstractDocument.`stopRewriteSession(DocumentRewriteSession session)`
`final void`
AbstractLineTracker.`stopRewriteSession(DocumentRewriteSession session, String text)`
`void`
IDocumentExtension4.`stopRewriteSession(DocumentRewriteSession session)`
Tells the document to stop the rewrite session.
`void`
IDocumentPartitionerExtension3.`stopRewriteSession(DocumentRewriteSession session)`
Tells the document partitioner that the rewrite session has finished.
`void`
ILineTrackerExtension.`stopRewriteSession(DocumentRewriteSession session, String text)`
Tells the line tracker that the rewrite session has finished.
`protected final void`
AbstractDocument.`stopRewriteSessionOnPartitioners(DocumentRewriteSession session)`
Stops the given rewrite session.
Constructors in org.eclipse.jface.text with parameters of type DocumentRewriteSession
Modifier
Constructor
Description
``
`DocumentRewriteSessionEvent(IDocument doc, DocumentRewriteSession session, Object changeType)`
Creates a new document event.

## Uses of DocumentRewriteSession in org.eclipse.jface.text.rules

Methods in org.eclipse.jface.text.rules that return DocumentRewriteSession
Modifier and Type
Method
Description
`DocumentRewriteSession`
DefaultPartitioner.`getActiveRewriteSession()`
Deprecated.
`DocumentRewriteSession`
FastPartitioner.`getActiveRewriteSession()`
Returns the active rewrite session of this document or `null`.
Methods in org.eclipse.jface.text.rules with parameters of type DocumentRewriteSession
Modifier and Type
Method
Description
`void`
DefaultPartitioner.`startRewriteSession(DocumentRewriteSession session)`
Deprecated.
`void`
FastPartitioner.`startRewriteSession(DocumentRewriteSession session)`
`void`
DefaultPartitioner.`stopRewriteSession(DocumentRewriteSession session)`
Deprecated.
`void`
FastPartitioner.`stopRewriteSession(DocumentRewriteSession session)`
Tells the document partitioner that the rewrite session has finished.